"""
Trigger Type Enum

Enumeration of types of triggers common to various legal rights - e.g. does the
satisfaction of a condition trigger an automatic conversion or merely a right to
convert? If `UNSPECIFIED`, the system of record cannot represent this data in a
structured form.

Copyright © 2022 Open Cap Table Coalition (https://opencaptablecoalition.com) /
Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
OCF/tree/main/schema/enums/ConversionTriggerType.schema.json

Autogenerated, do not edit.
"""

from enum import Enum


class ConversionTriggerType(Enum):
    ENUM_AUTOMATIC_ON_CONDITION = "AUTOMATIC_ON_CONDITION"
    ENUM_AUTOMATIC_ON_DATE = "AUTOMATIC_ON_DATE"
    ENUM_ELECTIVE_IN_RANGE = "ELECTIVE_IN_RANGE"
    ENUM_ELECTIVE_ON_CONDITION = "ELECTIVE_ON_CONDITION"
    ENUM_ELECTIVE_AT_WILL = "ELECTIVE_AT_WILL"
    ENUM_UNSPECIFIED = "UNSPECIFIED"
