"""
Stock Legend Template Object

Object describing a stock legend template

Copyright © Shoobx, 2023
Schema is Copyright © 2022 Open Cap Table Coalition (https://opencaptablecoalition.com) /
Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
OCF/tree/main/schema/objects/StockLegendTemplate.schema.json

Autogenerated, do not edit.
"""

from pyocf.primitives.objects.object import Object
from typing import Literal
from typing import Optional


class StockLegendTemplate(Object):
    """Stock Legend Template"""

    object_type: Literal["STOCK_LEGEND_TEMPLATE"] = "STOCK_LEGEND_TEMPLATE"
    # Name for the stock legend template
    name: str
    # The full text of the stock legend
    text: str
    # Identifier for the object
    id: str
    # Unstructured text comments related to and stored for the object
    comments: Optional[list[str]]
