"""
Contact Info Object

Type representation of a primary contact person for a stakeholder (e.g. a fund)

Copyright © Shoobx, 2023
Schema is Copyright © 2022 Open Cap Table Coalition (https://opencaptablecoalition.com) /
Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
OCF/tree/main/schema/types/ContactInfo.schema.json

Autogenerated, do not edit.
"""

from pydantic import BaseModel
from pyocf.types.email import Email
from pyocf.types.name import Name
from pyocf.types.phone import Phone


class ContactInfo(BaseModel):
    """Contact Info"""

    # Contact's name
    name: Name
    # Phone numbers to reach the contact at
    phone_numbers: list[Phone]
    # Emails to reach the contact at
    emails: list[Email]
