"""
Unspecified Conversion Trigger Object

Use this where no structured data is available regarding what triggers the
conversion of a given security.

Copyright © Shoobx, 2023
Schema is Copyright © 2022 Open Cap Table Coalition (https://opencaptablecoalition.com) /
Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
ree/main/schema/types/conversion_triggers/UnspecifiedConversionTrigger.schema.js
on

Autogenerated, do not edit.
"""

from pyocf.primitives.types.conversion_triggers.conversiontrigger import (
    ConversionTrigger,
)
from pyocf.types.conversion_rights.convertibleconversionright import (
    ConvertibleConversionRight,
)
from pyocf.types.conversion_rights.stockclassconversionright import (
    StockClassConversionRight,
)
from pyocf.types.conversion_rights.warrantconversionright import WarrantConversionRight
from typing import Literal
from typing import Optional
from typing import Union


class UnspecifiedConversionTrigger(ConversionTrigger):
    """Unspecified Conversion Trigger"""

    # Id for this conversion trigger, unique within list of ConversionTriggers in
    # parent convertible issuance's `conversion_triggers` field.
    trigger_id: str
    # Human-friendly nickname to describe the conversion right
    nickname: Optional[str]
    # Long-form description of the trigger
    trigger_description: Optional[str]
    type: Literal["UNSPECIFIED"] = "UNSPECIFIED"
    # When the conditions of the trigger are met, how does the convertible convert?
    conversion_right: Union[
        ConvertibleConversionRight, WarrantConversionRight, StockClassConversionRight
    ]
